<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/ActionComponents/CAContinuousWringClothes.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/db4/_c_a_continuous_wring_clothes_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CAContinuousWringClothes.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/db4/_c_a_continuous_wring_clothes_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d6/d94/class_c_a_continuous_wring_clothes.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d94/class_c_a_continuous_wring_clothes.html">CAContinuousWringClothes</a> : <a class="code hl_class" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html">CAContinuousQuantityRepeat</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31309104c52a87f7f7939e8f88ce178a">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31309104c52a87f7f7939e8f88ce178a">m_InitItemQuantity</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31a08f6747c1cceb55856f9fbd5510ca">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31a08f6747c1cceb55856f9fbd5510ca">m_SpentQuantityTotal</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a26f5544f7cc51b2df7a732cf1ad8f260">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a26f5544f7cc51b2df7a732cf1ad8f260">CAContinuousWringClothes</a>( <span class="keywordtype">float</span> quantity_used_per_second, <span class="keywordtype">float</span> time_to_repeat )</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ac33ccfd0db3522c6d361fcf3a4666dfe">m_QuantityUsedPerSecond</a> = quantity_used_per_second;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ae2b88d24c91fb83c1bbdf898c2ba2f21">m_DefaultTimeToRepeat</a> = time_to_repeat;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31309104c52a87f7f7939e8f88ce178a">m_InitItemQuantity</a> = -1;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a349b4371b22b7652185d47567104f3be">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a349b4371b22b7652185d47567104f3be">Setup</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        super.Setup( action_data );</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31309104c52a87f7f7939e8f88ce178a">m_InitItemQuantity</a> &lt; 0)</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <a class="code hl_variable" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31309104c52a87f7f7939e8f88ce178a">m_InitItemQuantity</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetWet();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a0551dcba765616dff17a0bfc4ae6fae4">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a0551dcba765616dff17a0bfc4ae6fae4">Execute</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data  )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> ( !action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a> )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordtype">float</span> wetness = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetWet();        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordtype">int</span> trim_wetness = wetness * 100;       </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordtype">float</span> rounded_wetness = trim_wetness/100;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span> ( rounded_wetness &lt;= 0.25 )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31a08f6747c1cceb55856f9fbd5510ca">m_SpentQuantityTotal</a> &lt; <a class="code hl_variable" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31309104c52a87f7f7939e8f88ce178a">m_InitItemQuantity</a> )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#abd60958c067cbd4aea73091bcb9dce1e">m_AdjustedQuantityUsedPerSecond</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialtyBonus( <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ac33ccfd0db3522c6d361fcf3a4666dfe">m_QuantityUsedPerSecond</a>, <a class="code hl_variable" href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">m_Action</a>.GetSpecialtyWeight(), <span class="keyword">true</span>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ab9163e91ba4b63fb1e71de470651d2e2">m_SpentQuantity</a> += <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#abd60958c067cbd4aea73091bcb9dce1e">m_AdjustedQuantityUsedPerSecond</a> * action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetDeltaT();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#a66bb66136bc2f986491dcb4b3395c6fa">m_TimeElpased</a> += action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetDeltaT();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#a66bb66136bc2f986491dcb4b3395c6fa">m_TimeElpased</a> &gt; <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ae2b88d24c91fb83c1bbdf898c2ba2f21">m_DefaultTimeToRepeat</a>)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                    <a class="code hl_function" href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">OnCompletePogress</a>(action_data);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                    <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#a66bb66136bc2f986491dcb4b3395c6fa">m_TimeElpased</a> -= <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ae2b88d24c91fb83c1bbdf898c2ba2f21">m_DefaultTimeToRepeat</a>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#a836267f2974b149dc951b27717a16987">m_SpentUnits</a> )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                        <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#a836267f2974b149dc951b27717a16987">m_SpentUnits</a>.param1 = <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ab9163e91ba4b63fb1e71de470651d2e2">m_SpentQuantity</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                        <a class="code hl_function" href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">SetACData</a>(<a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#a836267f2974b149dc951b27717a16987">m_SpentUnits</a>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                    action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.AddWet(-<a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ab9163e91ba4b63fb1e71de470651d2e2">m_SpentQuantity</a>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                <a class="code hl_variable" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31a08f6747c1cceb55856f9fbd5510ca">m_SpentQuantityTotal</a> += <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ab9163e91ba4b63fb1e71de470651d2e2">m_SpentQuantity</a>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ab9163e91ba4b63fb1e71de470651d2e2">m_SpentQuantity</a> = 0;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                <a class="code hl_function" href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">OnCompletePogress</a>(action_data);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a0a4a40749bf44fffae3808f17ed6709f">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a0a4a40749bf44fffae3808f17ed6709f">GetProgress</a>()</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">return</span> ((<a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#a66bb66136bc2f986491dcb4b3395c6fa">m_TimeElpased</a> - <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ae2b88d24c91fb83c1bbdf898c2ba2f21">m_DefaultTimeToRepeat</a>) / <a class="code hl_variable" href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ae2b88d24c91fb83c1bbdf898c2ba2f21">m_DefaultTimeToRepeat</a>) + 1;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>};</div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a0d37d5dd461d15b99bde41f229a7433f"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">CABase::m_Action</a></div><div class="ttdeci">protected ActionBase m_Action</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00003">CABase.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a15caa3f387f97bbe79d18e4269dec382"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">CABase::SetACData</a></div><div class="ttdeci">void SetACData(Param units)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00040">CABase.c:40</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_base_html_a0ed880c4a0919f099c2891277df04d26"><div class="ttname"><a href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">CAContinuousBase::OnCompletePogress</a></div><div class="ttdeci">void OnCompletePogress(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db8/_c_a_continuous_base_8c_source.html#l00008">CAContinuousBase.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_quantity_repeat_html"><div class="ttname"><a href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html">CAContinuousQuantityRepeat</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/_c_a_continuous_quantity_repeat_8c_source.html#l00001">CAContinuousQuantityRepeat.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_quantity_repeat_html_a66bb66136bc2f986491dcb4b3395c6fa"><div class="ttname"><a href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#a66bb66136bc2f986491dcb4b3395c6fa">CAContinuousQuantityRepeat::m_TimeElpased</a></div><div class="ttdeci">protected float m_TimeElpased</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/_c_a_continuous_quantity_repeat_8c_source.html#l00006">CAContinuousQuantityRepeat.c:6</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_quantity_repeat_html_a836267f2974b149dc951b27717a16987"><div class="ttname"><a href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#a836267f2974b149dc951b27717a16987">CAContinuousQuantityRepeat::m_SpentUnits</a></div><div class="ttdeci">protected ref Param1&lt; float &gt; m_SpentUnits</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/_c_a_continuous_quantity_repeat_8c_source.html#l00010">CAContinuousQuantityRepeat.c:10</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_quantity_repeat_html_ab9163e91ba4b63fb1e71de470651d2e2"><div class="ttname"><a href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ab9163e91ba4b63fb1e71de470651d2e2">CAContinuousQuantityRepeat::m_SpentQuantity</a></div><div class="ttdeci">protected float m_SpentQuantity</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/_c_a_continuous_quantity_repeat_8c_source.html#l00004">CAContinuousQuantityRepeat.c:4</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_quantity_repeat_html_abd60958c067cbd4aea73091bcb9dce1e"><div class="ttname"><a href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#abd60958c067cbd4aea73091bcb9dce1e">CAContinuousQuantityRepeat::m_AdjustedQuantityUsedPerSecond</a></div><div class="ttdeci">protected float m_AdjustedQuantityUsedPerSecond</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/_c_a_continuous_quantity_repeat_8c_source.html#l00008">CAContinuousQuantityRepeat.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_quantity_repeat_html_ac33ccfd0db3522c6d361fcf3a4666dfe"><div class="ttname"><a href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ac33ccfd0db3522c6d361fcf3a4666dfe">CAContinuousQuantityRepeat::m_QuantityUsedPerSecond</a></div><div class="ttdeci">protected float m_QuantityUsedPerSecond</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/_c_a_continuous_quantity_repeat_8c_source.html#l00007">CAContinuousQuantityRepeat.c:7</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_quantity_repeat_html_ae2b88d24c91fb83c1bbdf898c2ba2f21"><div class="ttname"><a href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html#ae2b88d24c91fb83c1bbdf898c2ba2f21">CAContinuousQuantityRepeat::m_DefaultTimeToRepeat</a></div><div class="ttdeci">protected float m_DefaultTimeToRepeat</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de3/_c_a_continuous_quantity_repeat_8c_source.html#l00009">CAContinuousQuantityRepeat.c:9</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_wring_clothes_html"><div class="ttname"><a href="../../d6/d94/class_c_a_continuous_wring_clothes.html">CAContinuousWringClothes</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db4/_c_a_continuous_wring_clothes_8c_source.html#l00001">CAContinuousWringClothes.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_wring_clothes_html_a0551dcba765616dff17a0bfc4ae6fae4"><div class="ttname"><a href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a0551dcba765616dff17a0bfc4ae6fae4">CAContinuousWringClothes::Execute</a></div><div class="ttdeci">override int Execute(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db4/_c_a_continuous_wring_clothes_8c_source.html#l00024">CAContinuousWringClothes.c:24</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_wring_clothes_html_a0a4a40749bf44fffae3808f17ed6709f"><div class="ttname"><a href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a0a4a40749bf44fffae3808f17ed6709f">CAContinuousWringClothes::GetProgress</a></div><div class="ttdeci">override float GetProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db4/_c_a_continuous_wring_clothes_8c_source.html#l00078">CAContinuousWringClothes.c:78</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_wring_clothes_html_a26f5544f7cc51b2df7a732cf1ad8f260"><div class="ttname"><a href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a26f5544f7cc51b2df7a732cf1ad8f260">CAContinuousWringClothes::CAContinuousWringClothes</a></div><div class="ttdeci">void CAContinuousWringClothes(float quantity_used_per_second, float time_to_repeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db4/_c_a_continuous_wring_clothes_8c_source.html#l00006">CAContinuousWringClothes.c:6</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_wring_clothes_html_a31309104c52a87f7f7939e8f88ce178a"><div class="ttname"><a href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31309104c52a87f7f7939e8f88ce178a">CAContinuousWringClothes::m_InitItemQuantity</a></div><div class="ttdeci">protected float m_InitItemQuantity</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db4/_c_a_continuous_wring_clothes_8c_source.html#l00003">CAContinuousWringClothes.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_wring_clothes_html_a31a08f6747c1cceb55856f9fbd5510ca"><div class="ttname"><a href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a31a08f6747c1cceb55856f9fbd5510ca">CAContinuousWringClothes::m_SpentQuantityTotal</a></div><div class="ttdeci">protected float m_SpentQuantityTotal</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db4/_c_a_continuous_wring_clothes_8c_source.html#l00004">CAContinuousWringClothes.c:4</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_wring_clothes_html_a349b4371b22b7652185d47567104f3be"><div class="ttname"><a href="../../d6/d94/class_c_a_continuous_wring_clothes.html#a349b4371b22b7652185d47567104f3be">CAContinuousWringClothes::Setup</a></div><div class="ttdeci">override void Setup(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db4/_c_a_continuous_wring_clothes_8c_source.html#l00013">CAContinuousWringClothes.c:13</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga1549e547ab5d53897a986482bf8fafe5"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a></div><div class="ttdeci">const int UA_FINISHED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00416">constants.c:416</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga27cc3557ea5e3394f26701d52a0ce245"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a></div><div class="ttdeci">const int UA_ERROR</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00435">constants.c:435</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_gaec2990f2dd7ed9f35d980856442b881b"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a></div><div class="ttdeci">const int UA_PROCESSING</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00414">constants.c:414</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_a8e5ff2c2bb8b37380a7130140e2e6d3.html">ActionComponents</a></li><li class="navelem"><a class="el" href="../../dd/db4/_c_a_continuous_wring_clothes_8c.html">CAContinuousWringClothes.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
